"{ Package: 'stx:goodies/monticello' }"

MCTestCase subclass:#MCScannerTest
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Monticello-Tests'
!


!MCScannerTest methodsFor:'asserting'!

assertScans: anArray
        self assert: (MCScanner scan: anArray storeString readStream) = anArray

    "Modified: / 11-09-2010 / 22:08:07 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!MCScannerTest methodsFor:'tests'!

test1
	self assertScans: #(a '23' (x))
!

test2
	self assertScans: 'it''s alive'
!

test3
	self assert: (MCScanner scan: '(a #b c)' readStream) = #(a #b c)
!

test4
	self assertScans: #(a '23' (x () ')''q' y12)).
!

test5
	self assertScans: #((a) b)
!

test6
	self should: [MCScanner scan: '(a b' readStream] raise: Error
! !

!MCScannerTest class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/goodies/monticello/MCScannerTest.st,v 1.1 2011-08-20 12:34:32 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/goodies/monticello/MCScannerTest.st,v 1.1 2011-08-20 12:34:32 cg Exp $'
!

version_SVN
    ^ 'Id: MCScannerTest.st 7 2010-09-12 07:18:55Z vranyj1 '
! !
